export const TREND = { UP: 'up', DOWN: 'down', STABILIZATION: 'stabilization' }

// 统计区
export const statisticalArea = [
  {
    name: '会员统计',
    list: [
      { name: '会员总数', trend: '', field: 'memberStatistics.memberTotal' },
      { name: '普通会员统计', trend: '', field: 'memberStatistics.normalMemberTotal' },
      { name: '团长数量', trend: '', field: 'memberStatistics.headquarterTotal' },
      { name: '合伙人数量', trend: '', field: 'memberStatistics.partnerTotal' }
    ]
  },
  {
    name: '订单统计',
    list: [
      { name: '订单总量', trend: '', field: 'orderStatistics.orderTotal' },
      { name: '今日单量', trend: '', field: 'orderStatistics.todayOrderTotal' },
      { name: '今日完成订单', trend: '', field: 'orderStatistics.todayFinishOrderTotal' }
    ]
  },
  {
    name: '财务统计',
    list: [
      { decimalPlaces: 2, name: '总交易额', trend: '', field: 'financeStatistics.totalTransactionAmount' },
      { decimalPlaces: 2, name: '代金券总支出', field: 'financeStatistics.totalCouponAmount' },
      { decimalPlaces: 2, name: '今日交易额', trend: '', field: 'financeStatistics.todayTransactionAmount' },
      { decimalPlaces: 2, name: '今日代金券支出', trend: '', field: 'financeStatistics.todayCouponAmount' }
    ]
  }
]

export const partnerTotalConfig = [
  { name: '师傅数量', trend: '', field: 'masterWorkerQuantity' },
  { name: '会员总量', trend: '', field: 'memberTotal' },
  { name: '团长总量', trend: '', field: 'headquarterTotal' },
  { name: '合伙人总量', trend: '', field: 'partnerTotal' }
]
